From 7039b70f0255376e5d67dad603f5d67f8c3c07db Mon Sep 17 00:00:00 2001
From: Antonio Rojas <arojas@archlinux.org>
Date: Wed, 5 Aug 2020 14:20:37 +0200
Subject: [PATCH] Fix build with gpsd 3.21

Adapt to API changes
---
 .../positionprovider/gpsd/GpsdPositionProviderPlugin.cpp      | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/plugins/positionprovider/gpsd/GpsdPositionProviderPlugin.cpp b/src/plugins/positionprovider/gpsd/GpsdPositionProviderPlugin.cpp
index 3a787eb1f..02dc4a355 100644
--- a/src/plugins/positionprovider/gpsd/GpsdPositionProviderPlugin.cpp
+++ b/src/plugins/positionprovider/gpsd/GpsdPositionProviderPlugin.cpp
@@ -79,7 +79,11 @@ void GpsdPositionProviderPlugin::update( gps_data_t data )
 {
     PositionProviderStatus oldStatus = m_status;
     GeoDataCoordinates oldPosition = m_position;
+#if defined( GPSD_API_MAJOR_VERSION ) && ( GPSD_API_MAJOR_VERSION >= 10 )
+    if ( data.fix.status == STATUS_NO_FIX || std::isnan( data.fix.longitude ) || std::isnan( data.fix.latitude ) )
+#else
     if ( data.status == STATUS_NO_FIX || std::isnan( data.fix.longitude ) || std::isnan( data.fix.latitude ) )
+#endif
         m_status = PositionProviderStatusAcquiring;
     else {
         m_status = PositionProviderStatusAvailable;
-- 
GitLab

